package com.example.mialarma;

// seta43
// xsetaseta@gmail.com
//http://www.seta43.netau.net/android.html

import android.app.Activity;
import android.media.AudioManager;
import android.media.ToneGenerator;
import android.os.Bundle;
import android.os.CountDownTimer;
import android.view.View;
import android.widget.EditText;
import android.widget.TextView;

public class AlarmaMainActivity extends Activity
{
	int minutos,segundos,tiempo;
	private EditText Mtimer,Mcuenta;
	private TextView Mtext1;
	ToneGenerator toneG;
	
	private CountDownTimer ContadorAbajo;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_alarma_main);
        
        Mtimer=(EditText)findViewById(R.id.Atimer);
        Mcuenta=(EditText)findViewById(R.id.Acuenta);
        Mtext1=(TextView)findViewById(R.id.Atext1);
       
        ContadorAbajo = new MyCountDownTimer(10000, 1);
        toneG = new ToneGenerator(AudioManager.STREAM_ALARM, 100);
        
        segundos=minutos=0;      
    }
    
    
    public void FunMasMin(View view)
    {
    	if(minutos<59)minutos++;
    	actualizar();
    }
    
    public void FunMenosMin(View view)
    {
    	if(minutos>0)minutos--;
    	actualizar();
    }
    
    public void FunMasSeg(View view)
    {
    	if(segundos<59)segundos++;
    	actualizar();
    }
    
    public void FunMenosSeg(View view)
    {
    	if(segundos>0)segundos--;
    	actualizar();
    }

    public void FunSalir(View view)
    {
    	finish();
    }
    
    public void FunStop(View view)
    {
    		ContadorAbajo.cancel();
			Mtext1.setText("STOP");
    }
    
    public void FunStart(View view)
    {
      long timer;
    	timer=tiempo*1000;
    	ContadorAbajo = new MyCountDownTimer(timer, 1);
    	ContadorAbajo.start();
    }
    
    public void actualizar()
    {
    	tiempo=minutos*60+segundos;
    	Mtimer.setText(minutos + " min.  " + segundos+ " seg." + " =" + tiempo + " Seg.");
    }
    
  //Cuenta atras
    public class MyCountDownTimer extends CountDownTimer 
     {
    	public MyCountDownTimer(long startTime, long interval) 
    			{
    		   		super(startTime, interval);
    			}		 
    		  @Override
    	public void onFinish() {
    			  Mtext1.setText("Cuenta terminada!");
    			  toneG.startTone(ToneGenerator.TONE_DTMF_S, 1000);
    		  }
    		  @Override
    	public void onTick(long millisUntilFinished) 
    		  {
    			 long i;
    			 long min,seg;
    			  Mtext1.setText( " " + millisUntilFinished/100 );
    			  i=millisUntilFinished ; 
    			  i/=1000;
    			  min=i/60;
    			  seg= i%60;
    			  Mcuenta.setText(min + " min. "+ seg +" seg.");

    		  }
     }
}
